在vue中报export ‘default‘ (imported as ‘Vue‘) was not found in ‘vue 解决办法

2021/04/29 10:12
阅读数 483

问题原因

今天在学习vue的过程中遇到一个这样的问题,在利用事件总线的时候出现上图的错误,经过百度,最终找到问题的原因就是版本的问题,我是安装了最新的vuecli,版本大概是4.5.4,我最开始安装vuecli没有指定版本

解决方法

1.我们将我们cli4先卸载

npm uninstall -g @vue/cli

2.安装指定版本(你安装其他版本也可以,但是要能支持这样导入import Vue from ‘vue’

npm install -g @vue/cli@3.12.0

3.我们还需要去删除一个.vuerc文件

进入C盘 ----> 用户目录,找到 .vuerc 文件,把它 删除

参考:使用vue-cli创建项目时报错ERROR ~/.vuerc may be outdated. Please delete it and re-run vue-cli in manual mode.

4.npm install 出现 unable to resolve dependency tree

展开阅读全文
加载中

作者的其它热门文章

打赏
0
0 收藏
分享
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部